%global packname  gargle
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          0.3.1
Release:          1%{?dist}
Summary:          Utilities for Working with Google APIs

License:          MIT
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-fs >= 1.3.1, R-glue >= 1.3.0, R-httr >= 1.4.0, R-jsonlite, R-rlang, R-stats, R-withr
# Suggests:  R-covr, R-knitr, R-rmarkdown, R-sodium, R-testthat >= 2.1.0
# LinkingTo:
# Enhances:

BuildArch:        noarch
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-fs >= 1.3.1
BuildRequires:    R-glue >= 1.3.0
BuildRequires:    R-httr >= 1.4.0
BuildRequires:    R-jsonlite
BuildRequires:    R-rlang
BuildRequires:    R-stats
BuildRequires:    R-withr
BuildRequires:    R-knitr
BuildRequires:    R-rmarkdown
BuildRequires:    R-sodium
BuildRequires:    R-testthat >= 2.1.0

%description
Provides utilities for working with Google APIs
<https://developers.google.com/apis-explorer>.  This includes functions and
classes for handling common credential types and for preparing, executing, and
processing HTTP requests.


%prep
%setup -q -c -n %{packname}

# Don't need coverage; it's not packaged either.
sed -i 's/covr, //g' %{packname}/DESCRIPTION


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/discovery-doc-ingest
%{rlibdir}/%{packname}/secret


%changelog
* Mon Aug 26 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.3.1-1
- initial package for Fedora
